Subject: Misleading error message when call guix command using pre-inst-env script

From: Jérémy Korwin-Zmijowski <[email-masked]>
Date: Fri, 22 May 2020 16:59:05 +0200

Dear Guixters,

According to Rekado, the error message, I get when using pre-inst-env
script, is irrevelant.

I quote :
« the lack of an appropriate error message is not good. […] The error
message should say what things are missing instead of printing a
misleading error message about the package. »

Here is my command line history :

   $ git clone https://git.savannah.gnu.org/git/guix.git
$ cd guix
$ guix environment --pure guix
[dev]$ ./bootstrap && ./configure --localstatedir=/var && make &&
exit
…
$ ./pre-inst-env guix build artanis
guix: build: command not found
Try `guix --help' for more information.

For what it worth, I run Guix on Ubuntu 20.04.

Cheers,

Jérémy